package com.lightinit.hsdatashow.model.admin;

import java.util.LinkedHashMap;

public class DicOrganizationType {
    public static final String EDUCATION = "教育机构";
    public static final String MEDICAL = "医疗机构";
    public static final String BUSINESS = "商业综合";
    public static final String GOVERNMENT = "政府机构";
    public static final String TRAFFIC = "交通枢纽";
    public static final String TRAFFICSERVICE = "交通服务";
    public static final String BUSRUN = "交通运行";


    private static DicOrganizationType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicOrganizationType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(EDUCATION, EDUCATION);
        dicMap.put(MEDICAL, MEDICAL);
        dicMap.put(BUSINESS, BUSINESS);
        dicMap.put(GOVERNMENT, GOVERNMENT);
        dicMap.put(TRAFFIC, TRAFFIC);
        dicMap.put(TRAFFICSERVICE, TRAFFICSERVICE);
        dicMap.put(BUSRUN, BUSRUN);
    }

    public static DicOrganizationType getInstacne(){
        if (instance == null)
        {
            instance = new DicOrganizationType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
